#include <stdio.h>
#include <errno.h>
#include <string.h>
#include <unistd.h>

#define LEITURA 0
#define ESCRITA 1


#define BUF_SIZE 512
#define TEXT "Isto e um teste"

int main(int argc, char *argv[]){
  char buf[BUF_SIZE];
  int pipe_A[2];
  int read_bytes;

  if(pipe(pipe_A) < 0){
    printf("Ocorreu um erro na criacao do pipe A: %s\n", strerror(errno));
    return -1;
  }
  
  write(pipe_A[ESCRITA], TEXT, strlen(TEXT)+1);
  read_bytes = read(pipe_A[LEITURA], buf, BUF_SIZE);
  printf("Li do pipe '%s'\n",buf);

  return 0;

}
